Moinsweeper
===========

Der Denkspielklassiker [Minesweeper](https://de.wikipedia.org/wiki/Minesweeper) für das SPiCboard von Mario Euler (@ep86otip).


Wie spielt man
--------------

Nach der Wahl der Schwierigkeitsstufe:

* Easy:    20 Minen
* Hard:    50 Minen
* Custom:  0-99 Minen

wird das Spielfeld (8 x 16) generiert und das Spiel beginnt.

Mit dem Potentiometer lässt sich die Funktion der Knöpfe steuern.
Die aktuelle Einstellung wird auf dem HEX-Display und per LED Leiste angezeigt.

Es können genauso viele Flaggen platziert werden, wie es Minen auf dem
Spielfeld gibt. Um das Spiel zu gewinnen, muss jede vorhandene Mine
mit einer Flagge markiert werden.


Steuerung
---------

* Im Modus `Flag`/`Trigger` (`HEX: Ft`) kann mit `BUTTON1` (`PD3`) eine Flagge gesetzt bzw. entfernt werden.
Mit `BUTTON0` (`PD2`) wird die Umgebung des Cursors aufgedeckt oder eine Mine ausgelöst. Das Spielfeld wird solange aufgedeckt,
bis Felder erreicht werden, bei denen sich mindestens eine Mine in einem 3x3 Bereich um das aufzudeckende Feld herum befindet.
Bei diesen Feldern wird zusätzlich die Anzahl der umgebenden Minen angezeigt (1 - 8).

* Im Modus `Right`/`Left` (`HEX: rL`) wird der Cursor mit `BUTTON1` (`PD3`) nach rechts und mit `BUTTON0` (`PD2`) nach links bewegt.

* Im Modus `Up`/`Down` (`HEX: ud`) wird der Cursor mit `BUTTON1` (`PD3`) nach oben und mit `BUTTON0` (`PD2`) nach unten bewegt.


![Startbildschirm](./screenshot/moinsweeper-1.png)
![Spielanfang](./screenshot/moinsweeper-2.png)
![Spielende](./screenshot/moinsweeper-3.png)

